For the complete documentation index, see llms.txt. This page is also available as Markdown.

Device Log

Returns a list of log entries for the device This endpoint returns paged results of up to 1,000 records per response, using the X-CONTINUATIONTOKEN header. When the response includes this token, it indicates that additional records are available. To retrieve the next set of results, include the X-CONTINUATIONTOKEN token from the previous response header in the header of your subsequent request. This process can be repeated until no further continuation token is provided, indicating that you have reached the end of the dataset.

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

deviceIdstringRequired

Device Id

Query parameters
fromstring · date-timeOptional

From date

tostring · date-timeOptional

To date

Responses
200

OK

Typestring · enumOptionalPossible values:
DateTimestring · date-timeOptional

Created date

FormatedTypestring · nullableOptional

Log item type friendly name

FormatedDetailsstring · nullableOptional

Log item details

get/V2/{tenantVarCode}/devices/{deviceId}/devicelog
GET /V2/{tenantVarCode}/devices/{deviceId}/devicelog HTTP/1.1
Accept: */*
200

OK

[
  {
    "Type": "DeviceCreated",
    "DateTime": "2026-01-01T00:00:00.000Z",
    "FormatedType": "text",
    "FormatedDetails": "text",
    "Properties": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  }
]

Last updated